# PetscViewerStringSPrintf

Prints information to a PetscViewer string.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerStringSPrintf(PetscViewer viewer,const char format[],...)

Collective on PetscViewer (Hmmm, each processor maintains a separate string)

### Input Parameters

| v | - a string PetscViewer, formed by PetscViewerStringOpen()
| format | - the format of the input

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerStringOpen()

Level:developer
Location: src/sys/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages